FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_GIF_Image Class Reference

The Fl_GIF_Image class supports loading, caching, and drawing of Compuserve GIFSM images. More...

`#include <Fl_GIF_Image.H>`

Inheritance diagram for Fl_GIF_Image:

List of all members.

## Public Member Functions
| Fl_GIF_Image (const char *filename)
| The constructor loads the named GIF image.

## Detailed Description

The Fl_GIF_Image class supports loading, caching, and drawing of Compuserve GIFSM images.

The class loads the first image and supports transparency.

## Constructor & Destructor Documentation

Fl_GIF_Image::Fl_GIF_Image | ( | const char * | infname | ) |

The constructor loads the named GIF image.

The inherited destructor free all memory and server resources that are used by the image.

The documentation for this class was generated from the following files:

- Fl_GIF_Image.H
- Fl_GIF_Image.cxx